| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Forms.ReporterConf.ConsoleWritingStream Class Reference

A stream that redirects its input to the console. More...

Inheritance diagram for IG.Forms.ReporterConf.ConsoleWritingStream:
[legend]
Collaboration diagram for IG.Forms.ReporterConf.ConsoleWritingStream:
[legend]

## Public Member Functions
override void | Write (byte[] array, int offset, int count)
| Redirects output to the system's console. More...
override void | Flush ()
override long | Seek (long offset, SeekOrigin origin)
override void | SetLength (long value)
override int | Read (byte[] buffer, int offset, int count)

## Properties
override bool | CanRead`[get]`
override bool | CanSeek`[get]`
override bool | CanWrite`[get]`
override long | Position`[get, set]`
override long | Length`[get]`

## Detailed Description

A stream that redirects its input to the console.

## Member Function Documentation

override void IG.Forms.ReporterConf.ConsoleWritingStream.Write | ( | byte[] | array,
|  | int | offset,
|  | int | count
| ) |  |
| inline

Redirects output to the system's console.

override void IG.Forms.ReporterConf.ConsoleWritingStream.Flush | ( |  | ) |
| inline

override long IG.Forms.ReporterConf.ConsoleWritingStream.Seek | ( | long | offset,
|  | SeekOrigin | origin
| ) |  |
| inline

override void IG.Forms.ReporterConf.ConsoleWritingStream.SetLength | ( | long | value | ) |
| inline

override int IG.Forms.ReporterConf.ConsoleWritingStream.Read | ( | byte[] | buffer,
|  | int | offset,
|  | int | count
| ) |  |
| inline

## Property Documentation

override bool IG.Forms.ReporterConf.ConsoleWritingStream.CanRead
| get

override bool IG.Forms.ReporterConf.ConsoleWritingStream.CanSeek
| get

override bool IG.Forms.ReporterConf.ConsoleWritingStream.CanWrite
| get

override long IG.Forms.ReporterConf.ConsoleWritingStream.Position
| get set

override long IG.Forms.ReporterConf.ConsoleWritingStream.Length
| get

The documentation for this class was generated from the following file:

- reportermsg/ReporterMsg_Forms/ReporterMsg_Config.cs